/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/

#ifndef DRV3911_H_
#define DRV3911_H_

#include "General.h"
#include "Define.h"
#include "Input.h"
#include "Output.h"
#include "DpllCnfg.h"
#include "Hal.h"
#include "osNumeric.h"

/*********************************************************************
 * T Y P E D E F S,    E N U M S   &    D E F I N E S
 *********************************************************************/

/*********************************************************************
 * F U N C T I O N    P R O T O T Y P E S
 *********************************************************************/
void IDTGeneral_InitDevice(T_idtDrvHdlr hdlr); /* Initialize Device  */
T_idtDrvHdlr IDTGeneral_InitDriver(const char      *name, 
                                   T_idtDrvAccess  drvAccess,
                                   T_idtDeviceType deviceType,
                                   T_idtApllXtal   *xtalList,
                                   T_osUint8       numberOfXtal,
                                   T_osUint8       i2cAddr,
                                   int             useHighLevelApi); /* Driver initialization */

#endif /* DRV3911_H_ */
