/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/
#ifndef __ACCESS_82V3911_H__
#define __ACCESS_82V3911_H__

#include "idt82V3911.h"

#ifdef __cplusplus
extern "C"
{
#endif

/*********************************************************************
 * T Y P E D E F S,    E N U M S   &    D E F I N E S
 *********************************************************************/
/**
 * @brief Wrapper structure containing APLL crystal id and frequency information
 *
 * This structure  is used for TCL extension library
 */
typedef struct
{
	int	xtal1Apll1; /**< APLL1 XTAL1 flag */
	T_idtApllXtalType xtal1Apll1Freq; /**< APLL1 XTAL1 Frequency */
	int xtal3Apll1; /**< APLL1 XTAL3 flag */
	T_idtApllXtalType xtal3Apll1Freq; /**< APLL1 XTAL3 Frequency */
	int	xtal2Apll2; /**< APLL2 XTAL2 flag */
	T_idtApllXtalType	xtal2Apll2Freq; /**< APLL2 XTAL2 Frequency */
	int	xtal4Apll2; /**< APLL2 XTAL4 flag */
	T_idtApllXtalType xtal4Apll2Freq; /**< APLL2 XTAL4 Frequency */
} T_idtApllXtalList;

/*********************************************************************
 * G L O B A L    V A R I A B L E S
 *********************************************************************/

/*********************************************************************
 * F U N C T I O N    P R O T O T Y P E S
 *********************************************************************/
T_idtDrvHdlr IDTSample_InitDriverSimulator(T_idtApllXtalList *vcxoList,
                                           T_osUint8      coreI2CAddr);
void IDTSample_ResetXtalList(T_idtApllXtalList *vcxoList);
void IDTSample_SetLogVerbosity(int level);
int IDTSample_GetLogVerbosity(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __ACCESS_82V3911_H__ */
