/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/

/* Standard C libraries */
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

#include "ApllRegDef.h"
#include "ApllReadWrite_sim.h"

#define SIM_REG_MAP_SIZE	(0x11)

T_idtApllRegVal simulatedRegMapApll0[SIM_REG_MAP_SIZE] = {
    0x00, 0x01, 0x0c, 0x35, 0x0c, 
    0x35, 0x0c, 0x35, 0x0c, 0x35, 
    0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00
};

T_idtApllRegVal simulatedRegMapApll1[SIM_REG_MAP_SIZE] = {
    0x00, 0x01, 0x0c, 0x35, 0x0c, 
    0x35, 0x0c, 0x35, 0x0c, 0x35, 
    0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00
};

void ApllInit_Sim(void *usrData)
{
    (void)usrData;
}

void ApllDeInit_Sim(void *usrData)
{
    (void)usrData;
}

T_osUint8 ApllRead_Sim(void *usrData, T_osUint8 deviceAddr, T_idtApllRegAddr nAddr)
{
    T_idtApllRegAddr tmpRegAddr = (~0x80)&nAddr;

    (void)usrData;
    (void)deviceAddr;

    assert(tmpRegAddr < SIM_REG_MAP_SIZE);

    if (0x80&nAddr)
        return simulatedRegMapApll1[tmpRegAddr];
    else
        return simulatedRegMapApll0[tmpRegAddr];
}

void ApllWrite_Sim(void *usrData, T_osUint8 deviceAddr, T_idtApllRegAddr nAddr, T_idtApllRegVal data)
{
    T_idtApllRegAddr tmpRegAddr = (~0x80)&nAddr;

    (void)usrData;
    (void)deviceAddr;

    assert(tmpRegAddr < SIM_REG_MAP_SIZE);

    if (0x80&nAddr)
        simulatedRegMapApll1[tmpRegAddr] = data;
    else
        simulatedRegMapApll0[tmpRegAddr] = data;
}
