/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/
#ifndef __APLL_API_H__
#define __APLL_API_H__

#include "Define.h"
#include "ApllTypeDef.h"

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * \defgroup APLL Apll Function Module
 *
 * @brief Functions in this group are related to APLL provisioning
 *
 * @{
 */

/*********************************************************************
 * T Y P E D E F S,    E N U M S   &    D E F I N E S
 *********************************************************************/

/*********************************************************************
 * F U N C T I O N    P R O T O T Y P E S
 *********************************************************************/

T_idtApllConfigSel	IDTApll_GetConfigSel(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetConfigSel(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig);

T_idtApllInputClkSrc	IDTApll_GetInputClkSrc(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetInputClkSrc(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllInputClkSrc inputClk);

T_idtApllDividerValue     IDTApll_GetPreDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig);

void			IDTApll_GetPreDivRange(T_idtDrvHdlr hdlr, T_idtApllDividerValue *minDiv, T_idtApllDividerValue *maxDiv);

void			IDTApll_SetPreDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig, T_idtApllDividerValue div);

T_idtApllDividerValue     IDTApll_GetFeedbackDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig);

void			IDTApll_GetFeedbackDivRange(T_idtDrvHdlr hdlr, T_idtApllDividerValue *minDiv, T_idtApllDividerValue *maxDiv);

void			IDTApll_SetFeedbackDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig, T_idtApllDividerValue div);

T_idtApllQaDiv		IDTApll_GetQaDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig);

void			IDTApll_SetQaDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig, T_idtApllQaDiv div);

T_idtApllQaDiv		IDTApll_GetQbDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig);

void			IDTApll_SetQbDiv(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllConfigSel apllConfig, T_idtApllQbDiv div);

T_idtApllFreqDoublerSel	IDTApll_GetFreqDoublerSel(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetFreqDoublerSel(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllFreqDoublerSel doubler);

T_idtApllXtalId             IDTApll_GetXtalId(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetXtalId(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllXtalId xtal);

T_idtApllOutputSigType	IDTApll_GetOutputSigType(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllOutput output);

void			IDTApll_SetOutputSigType(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllOutput output, T_idtApllOutputSigType outputSigType);

T_idtApllOutputEn         IDTApll_GetOutputEnState(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllOutput output);

void			IDTApll_SetOutputEnState(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllOutput output, T_idtApllOutputEn enable);

T_idtApllMasterResetSync		IDTApll_GetMasterResetSync(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetMasterResetSync(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllMasterResetSync reset);

T_idtApllBypass		IDTApll_GetBypass(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetBypass(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllBypass bypass);

T_idtApllShutoff		IDTApll_GetShutoff(T_idtDrvHdlr hdlr, T_idtApllId apllInstId);

void			IDTApll_SetShutoff(T_idtDrvHdlr hdlr, T_idtApllId apllInstId, T_idtApllShutoff shutoff);

/**
 * @}
 */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __APLL_API_H__ */
