/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/
#ifndef __APLL_LOGGING_H__
#define __APLL_LOGGING_H__

#include <stdio.h>
#include "osAdapt.h"

#ifdef __cplusplus
extern "C"
{
#endif

/** \addtogroup APLL
 *  @{
 */

#define IDT_APLL_API_LOG_HEADER \
   "[File: %s, Line: %d, Function: %s] ", \
    __FILE__, __LINE__, __FUNCTION__

/* erro log */
#define IDT_APLL_API_LOG_ERR(fmt) \
do { \
    OS_ERROR(fmt); \
} while(0)

/* info log */
#define IDT_APLL_API_LOG_INFO(fmt)\
do { \
    OS_LOGGER(5, (IDT_APLL_API_LOG_HEADER)); \
    OS_LOGGER(5, fmt); \
} while(0)

/* debug log */
#define IDT_APLL_API_LOG_DEBUG(fmt) \
do { \
    OS_LOGGER(9, (IDT_APLL_API_LOG_HEADER)); \
    OS_LOGGER(9, fmt); \
} while (0)

/* trace log */
#define IDT_APLL_API_TRACE(fmt) OS_TRACE(fmt)

/**
 * @}
 */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __APLL_HAL_H__ */
