/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/

#ifndef __INPUTFREQ_H__
#define __INPUTFREQ_H__

#include "osNumeric.h"
#include "Define.h"

#ifdef __cplusplus
extern "C"
{
#endif
/*---------------------------------------------------------------------
 * T Y P E D E F S,    E N U M S   &    D E F I N E S
 *---------------------------------------------------------------------*/

/*---------------------------------------------------------------------
 * F U N C T I O N   P R O T O T Y P E S
 *---------------------------------------------------------------------*/
    /** Provision input for 1PPS (1 Hz) */
    void IDTHlApi_ConfigureInput1PPS(T_idtDrvHdlr hdlr,
                                     T_osUint8    nInputNo);

    /** Provision AMI input */
    void IDTHlApi_ConfigureInputAmi(
        T_idtDrvHdlr                        hdlr,
        T_osUint8                           nInputNo,
        T_idtAmiInputFrequencyBitFieldValue amiSignal);

    /** Provision input port specify input freqency */
    void IDTHlApi_ConfigureInputFrequency(T_idtDrvHdlr hdlr,
                                          T_osUint8    nInputNo,
                                          T_osUint32   nFrequency);

    /** Provision disable all input priorities */
    void IDTHlApi_DisableAllInputPriorities(T_idtDrvHdlr hdlr);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /*__INPUTFREQ_H__ */
