/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/
#ifndef __PROFILES_H__
#define __PROFILES_H__

#include "Define.h"
#include "osNumeric.h"

#ifdef __cplusplus
extern "C"
{
#endif
/*---------------------------------------------------------------------
 * F U N C T I O N   P R O T O T Y P E S
 *---------------------------------------------------------------------*/

/* DPLL configuration for GR-253 (SONET) Stratum 3 */
void IDTHlApi_gr253SonetStratum3 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for GR-1244 Stratum 3 */
void IDTHlApi_gr1244Stratum3 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for SMC */
void IDTHlApi_smc (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for G-8262 Option 1 */
void IDTHlApi_g8262EecOption1 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for G-8262 Option 2 */
void IDTHlApi_g8262EecOption2 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for G-813 Option 1 */
void IDTHlApi_g813Option1 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL configuration for G-813 Option 2 */
void IDTHlApi_g813Option2 (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL 1 PPS configuration */
void IDTHlApi_pps (T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

/* DPLL Wideband configuration */
void IDTHlApi_wideband(T_idtDrvHdlr hdlr, T_idtDpllInstance nDpll);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __PROFILES_H__ */
