/**********************************************************************
 % Copyright (c) 2012 Integrated Device Technology, Inc.
 % All Rights Reserved
 %
 % This file is provided for use with IDT products only, and does not convey
 % any license, whether express or implied, to any intellectual property
 % rights of Integrated Device Technology, Inc.  Distribution, copying or
 % modification of the contents of this file and/or any derivatives thereto
 % is not permitted, except as specifically authorized in writing. This
 % notice shall be included in its entirety on all copies made from this
 % file.
 %
 % The contents herein are the proprietary and confidential information of
 % Integrated Device Technology Inc. and shall not be distributed or
 % furnished to third parties or made public without prior written
 % permission by Integrated Device Technology Inc.  Disclosures of this file
 % in any form to the United States Government may not be made without a
 % written predetermination that it will be protected by limited or
 % restricted rights as set forth in the applicable Federal Acquisition
 % Regulations or other equivalent governmental rule or regulation.
 %
 % The contents herein are provided "as is" and without any express or
 % implied warranties, including, without limitation, the implied warranties
 % of merchantability and fitness for a particular purpose.
 %
 % Maintained by :  TSD NetCom Synchronization
 %
 %*******************************************************************/

#ifndef OSNUMERIC_H
#define OSNUMERIC_H

#ifdef __cplusplus
extern "C"
{
#endif

    /** @brief Plain char (8-bit) */
    typedef char T_osChar;

    /** @brief Unsigned char (8-bit) */
    typedef unsigned char T_osUint8;

    /** @brief Signed char (8-bit) */
    typedef signed char T_osInt8;

    /** @brief Unsigned integer (16-bit) */
    typedef unsigned int T_osUint16;

    /** @brief Signed integer (16-bit) */
    typedef signed int T_osInt16;

    /** @brief Unsigned long (32-bit) */
    typedef unsigned long T_osUint32;

    /** @brief Signed long (32-bit) */
    typedef signed long T_osInt32;

    /** @brief Boolean type (enumerated type) */
    typedef enum
    {
        E_osFalse = 0, /**< False */
        E_osTrue = (!E_osFalse), /**< True */
        E_osDisable = 0, /**< Disable */
        E_osEnable = (!E_osDisable) /**< Enable */
    } T_osBool;

#define NULLPTR 0

    /** @brief Index type definition */
    typedef T_osInt32 T_osIndex;

    typedef float T_osSmallFloat;
    typedef double T_osFloat;
    typedef long double T_osBigFloat;

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* OSNUMERIC_H */
