###############################################################################
# Copyright (c) 2012 Integrated Device Technology, Inc.
# All Rights Reserved
#
# This file is provided for use with IDT products only, and does not convey any
# license, whether express or implied, to any intellectual property rights of
# Integrated Device Technology, Inc.  Distribution, copying or modification of
# the contents of this file and/or any derivatives thereto is not permitted,
# except as specifically authorized in writing. This notice shall be included
# in its entirety on all copies made from this file.
#
#
# The contents herein are the proprietary and confidential information
# of Integrated Device Technology Inc. and shall not be distributed or
# furnished to third parties or made public without prior written
# permission by Integrated Device Technology Inc.  Disclosures of this
# file in any form to the United States Government may not be made
# without a written predetermination that it will be protected by
# limited or restricted rights as set forth in the applicable Federal
# Acquisition Regulations or other equivalent governmental rule or
# regulation.
#
# The contents herein are provided "as is" and without any express or implied
# warranties, including, without limitation, the implied warranties of
# merchantability and fitness for a particular purpose.
#
# Last modified: <lastCommitDate>
# Release: <releaseName>
#
###############################################################################

#
# This make file is used to declare host specific build information
#

##############################################################################
# B U I L D    E N V I R O N M E N T
##############################################################################

# Utilities
CC    := gcc
CPP   := g++
LD    := gcc
AR    := ar rcs
RM    := rm -f
CP    := cp
MKDIR := mkdir -p
CHMOD := chmod 755

# Optional Utilities
SWIG  := swig
TCLSH := tclsh

# Compiler Options
CFLAGS += \

# All the user to add compile flags with make defines
# eg. make USER_CFLAGS="-DMY_MACRO_VARIABLE -g"    
ifdef USER_CFLAGS
CFLAGS += $(USER_CFLAGS)
endif

# Linker Options
LDFLAGS += \


# Output options
PROG_EXT = .exe
SHARED_EXT = .dll

OSADAPT_ROOTDIR := $(OSADAPT_PLATFORMDIR)/..

# Export all variables
export

# Some common references
include $(OSADAPT_ROOTDIR)/makefiles/osAdaptation.mk

