/*********************************************************************
 * Copyright (c) 2012-2012 Integrated Device Technology, Inc.
 * All Rights Reserved
 *
 * This file is provided for use with IDT products only, and does not
 * convey any license, whether express or implied, to any intellectual
 * property rights of Integrated Device Technology, Inc.
 * Distribution, copying or modification of the contents of this file
 * and/or any derivatives thereto is not permitted, except as
 * specifically authorized in writing. This notice shall be included
 * in its entirety on all copies made from this file.
 *
 * The contents herein are the proprietary and confidential
 * information of Integrated Device Technology Inc. and shall not be
 * distributed or furnished to third parties or made public without
 * prior written permission by Integrated Device Technology Inc.
 * Disclosures of this file in any form to the United States
 * Government may not be made without a written predetermination that
 * it will be protected by limited or restricted rights as set forth
 * in the applicable Federal Acquisition Regulations or other
 * equivalent governmental rule or regulation.
 *
 * The contents herein are provided "as is" and without any express or
 * implied warranties, including, without limitation, the implied
 * warranties of merchantability and fitness for a particular purpose.
 *
 * Last modified: <lastCommitDate>
 * Release: <releaseName>
 * Id: <gitCommitHash>
 *
 *********************************************************************/

#include "RegisterDef.h"
#include "ApllRegDef.h"
#include "annotate.h"

/* Page 0 Register Bitfields */
const BitfieldName_t ID_LOW_Bitfields[] = {
   { "ID_A", 0, 0xFF, 8 }
};
const BitfieldName_t ID_HIGH_Bitfields[] = {
   { "ID_B", 0, 0xFF, 8 }
};
const BitfieldName_t MPU_PIN_STS_Bitfields[] = {
   { "MPU_PIN_STS", 0, 0x07, 3 }
};
const BitfieldName_t NOMINAL_FREQ_LOW_CNFG_Bitfields[] = {
   { "NOMINAL_FREQ_VALUE_A", 0, 0xFF, 8 }
};
const BitfieldName_t NOMINAL_FREQ_MID_CNFG_Bitfields[] = {
   { "NOMINAL_FREQ_VALUE_B", 0, 0xFF, 8 }
};
const BitfieldName_t NOMINAL_FREQ_HIGH_CNFG_Bitfields[] = {
   { "NOMINAL_FREQ_VALUE_C", 0, 0xFF, 8 }
};
const BitfieldName_t T4_T0_SEL_CNFG_Bitfields[] = {
   { "T4_T0_SEL", 4, 0x10, 1 }
};
const BitfieldName_t PHASE_ALARM_TIME_OUT_CNFG_Bitfields[] = {
   { "MULTI_FACTOR", 6, 0xC0, 2 },
   { "TIMEOUT_VALUE", 0, 0x3F, 6 }
};
const BitfieldName_t INPUT_MODE_CNFG_Bitfields[] = {
   { "AUTO_EXT_SYNC_EN", 7, 0x80, 1 },
   { "EXT_SYNC_EN", 6, 0x40, 1 },
   { "PH_ALARM_TIMEOUT", 5, 0x20, 1 },
   { "SYNC_FREQ", 3, 0x18, 2 },
   { "IN_SONET_SDH", 2, 0x04, 1 },
   { "MASTER_SLAVE", 1, 0x02, 1 },
   { "REVERTIVE_MODE", 0, 0x01, 1 }
};
const BitfieldName_t DIFFERENTIAL_IN_OUT_CNFG_Bitfields[] = {
   { "OSC_EDGE", 2, 0x04, 1 },
   { "OUT7_PECL_LVDS", 1, 0x02, 1 },
   { "OUT6_PECL_LVDS", 0, 0x01, 1 }
};
const BitfieldName_t MON_SW_HS_CNFG_Bitfields[] = {
   { "FREQ_MON_CLK", 7, 0x80, 1 },
   { "LOS_FLAG_TO_TDO", 6, 0x40, 1 },
   { "ULTR_FAST_SW", 5, 0x20, 1 },
   { "EXT_SW", 4, 0x10, 1 },
   { "HS_FREZ", 3, 0x08, 1 },
   { "HS_EN", 2, 0x04, 1 },
   { "FREQ_MON_HARD_EN", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPT_CNFG_Bitfields[] = {
   { "HZ_EN", 1, 0x02, 1 },
   { "INT_POL", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS1_STS_Bitfields[] = {
   { "IN8", 7, 0x80, 1 },
   { "IN7", 6, 0x40, 1 },
   { "IN6", 5, 0x20, 1 },
   { "IN5", 4, 0x10, 1 },
   { "IN4", 3, 0x08, 1 },
   { "IN3", 2, 0x04, 1 },
   { "IN2", 1, 0x02, 1 },
   { "IN1", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS2_STS_Bitfields[] = {
   { "T0_OPERATING_MODE_STS", 7, 0x80, 1 },
   { "T0_MAIN_REF_FAIL", 6, 0x40, 1 },
   { "IN14", 5, 0x20, 1 },
   { "IN13", 4, 0x10, 1 },
   { "IN12", 3, 0x08, 1 },
   { "IN11", 2, 0x04, 1 },
   { "IN10", 1, 0x02, 1 },
   { "IN9", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS3_STS_Bitfields[] = {
   { "EX_SYNC_ALARM", 7, 0x80, 1 },
   { "T4_STS", 6, 0x40, 1 },
   { "INPUT_TO_T4", 4, 0x10, 1 },
   { "AMI2_VIOL", 3, 0x08, 1 },
   { "AMI2_LOS", 2, 0x04, 1 },
   { "AMI1_VIOL", 1, 0x02, 1 },
   { "AMI1_LOS", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS1_MASK_CNFG_Bitfields[] = {
   { "IN8", 7, 0x80, 1 },
   { "IN7", 6, 0x40, 1 },
   { "IN6", 5, 0x20, 1 },
   { "IN5", 4, 0x10, 1 },
   { "IN4", 3, 0x08, 1 },
   { "IN3", 2, 0x04, 1 },
   { "IN2", 1, 0x02, 1 },
   { "IN1", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS2_MASK_CNFG_Bitfields[] = {
   { "T0_OPERATING_MODE_STS", 7, 0x80, 1 },
   { "T0_MAIN_REF_FAIL", 6, 0x40, 1 },
   { "IN14", 5, 0x20, 1 },
   { "IN13", 4, 0x10, 1 },
   { "IN12", 3, 0x08, 1 },
   { "IN11", 2, 0x04, 1 },
   { "IN10", 1, 0x02, 1 },
   { "IN9", 0, 0x01, 1 }
};
const BitfieldName_t INTERRUPTS3_MASK_CNFG_Bitfields[] = {
   { "EX_SYNC_ALARM", 7, 0x80, 1 },
   { "T4_STS", 6, 0x40, 1 },
   { "INPUT_TO_T4", 4, 0x10, 1 },
   { "AMI2_VIOL", 3, 0x08, 1 },
   { "AMI2_LOS", 2, 0x04, 1 },
   { "AMI1_VIOL", 1, 0x02, 1 },
   { "AMI1_LOS", 0, 0x01, 1 }
};
const BitfieldName_t MS_SL_CTRL_CNFG_Bitfields[] = {
   { "PPS_FAST_FREQ_LOCK_EN", 4, 0x10, 1 },
   { "PPS_FAST_PH_LOCK_EN", 3, 0x08, 1 },
   { "MS_SL_CTRL", 0, 0x01, 1 }
};
const BitfieldName_t IN1_CNFG_Bitfields[] = {
   { "400HZ_SEL", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN2_CNFG_Bitfields[] = {
   { "400HZ_SEL", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN3_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN4_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN5_IN6_HF_DIV_CNFG_Bitfields[] = {
   { "IN6_DIV", 6, 0xC0, 2 },
   { "IN5_DIV", 0, 0x03, 2 }
};
const BitfieldName_t IN5_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN6_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN7_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN8_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN9_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN10_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN11_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN12_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN13_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t IN14_CNFG_Bitfields[] = {
   { "DIRECT_DIV", 7, 0x80, 1 },
   { "LOCK_8K", 6, 0x40, 1 },
   { "BUCKET_SEL", 4, 0x30, 2 },
   { "IN_FREQ", 0, 0x0F, 4 }
};
const BitfieldName_t PRE_DIV_CH_CNFG_Bitfields[] = {
   { "PRE_DIV_CH_VALUE", 0, 0x0F, 4 }
};
const BitfieldName_t PRE_DIVN_LOW_CNFG_Bitfields[] = {
   { "PRE_DIVN_VALUE_A", 0, 0xFF, 8 }
};
const BitfieldName_t PRE_DIVN_HIGH_CNFG_Bitfields[] = {
   { "PRE_DIVN_VALUE_B", 0, 0x7F, 7 }
};
const BitfieldName_t IN1_IN2_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN2_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN1_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN3_IN4_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN4_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN3_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN5_IN6_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN6_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN5_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN7_IN8_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN8_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN7_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN9_IN10_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN10_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN9_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN11_IN12_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN12_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN11_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t IN13_IN14_SEL_PRIORITY_CNFG_Bitfields[] = {
   { "IN14_SEL_PRIORITY", 4, 0xF0, 4 },
   { "IN13_SEL_PRIORITY", 0, 0x0F, 4 }
};
const BitfieldName_t PAGE_POINTER_CNFG_Bitfields[] = {
   { "PAGE_POINTER", 0, 0x01, 1 }
};
const BitfieldName_t FREQ_MON_FACTOR_CNFG_Bitfields[] = {
   { "FREQ_MON_FACTOR", 0, 0x0F, 4 }
};
const BitfieldName_t HARD_FREQ_MON_THRESHOLD_CNFG_Bitfields[] = {
   { "HARD_FREQ_MON_THRESHOLD_A", 4, 0xF0, 4 },
   { "HARD_FREQ_MON_THRESHOLD_B", 0, 0x0F, 4 }
};
const BitfieldName_t SOFT_FREQ_MON_THRESHOLD_CNFG_Bitfields[] = {
   { "SOFT_FREQ_MON_THRESHOLD_A", 4, 0xF0, 4 },
   { "SOFT_FREQ_MON_THRESHOLD_B", 0, 0x0F, 4 }
};
const BitfieldName_t UPPER_THRESHOLD_0_CNFG_Bitfields[] = {
   { "UPPER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t LOWER_THRESHOLD_0_CNFG_Bitfields[] = {
   { "LOWER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t BUCKET_SIZE_0_CNFG_Bitfields[] = {
   { "BUCKET_SIZE", 0, 0xFF, 8 }
};
const BitfieldName_t DECAY_RATE_0_CNFG_Bitfields[] = {
   { "DECAY_RATE", 0, 0x03, 2 }
};
const BitfieldName_t UPPER_THRESHOLD_1_CNFG_Bitfields[] = {
   { "UPPER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t LOWER_THRESHOLD_1_CNFG_Bitfields[] = {
   { "LOWER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t BUCKET_SIZE_1_CNFG_Bitfields[] = {
   { "BUCKET_SIZE", 0, 0xFF, 8 }
};
const BitfieldName_t DECAY_RATE_1_CNFG_Bitfields[] = {
   { "DECAY_RATE", 0, 0x03, 2 }
};
const BitfieldName_t UPPER_THRESHOLD_2_CNFG_Bitfields[] = {
   { "UPPER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t LOWER_THRESHOLD_2_CNFG_Bitfields[] = {
   { "LOWER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t BUCKET_SIZE_2_CNFG_Bitfields[] = {
   { "BUCKET_SIZE", 0, 0xFF, 8 }
};
const BitfieldName_t DECAY_RATE_2_CNFG_Bitfields[] = {
   { "DECAY_RATE", 0, 0x03, 2 }
};
const BitfieldName_t UPPER_THRESHOLD_3_CNFG_Bitfields[] = {
   { "UPPER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t LOWER_THRESHOLD_3_CNFG_Bitfields[] = {
   { "LOWER_THRESHOLD", 0, 0xFF, 8 }
};
const BitfieldName_t BUCKET_SIZE_3_CNFG_Bitfields[] = {
   { "BUCKET_SIZE", 0, 0xFF, 8 }
};
const BitfieldName_t DECAY_RATE_3_CNFG_Bitfields[] = {
   { "DECAY_RATE", 0, 0x03, 2 }
};
const BitfieldName_t IN_FREQ_READ_CH_CNFG_Bitfields[] = {
   { "IN_FREQ_READ_CH", 0, 0x0F, 4 }
};
const BitfieldName_t IN_FREQ_READ_STS_Bitfields[] = {
   { "IN_FREQ_VALUE", 0, 0xFF, 8 }
};
const BitfieldName_t IN1_IN2_STS_Bitfields[] = {
   { "IN2_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN2_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN2_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN2_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN1_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN1_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN1_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN1_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN3_IN4_STS_Bitfields[] = {
   { "IN4_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN4_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN4_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN4_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN3_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN3_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN3_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN3_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN5_IN6_STS_Bitfields[] = {
   { "IN6_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN6_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN6_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN6_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN5_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN5_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN5_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN5_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN7_IN8_STS_Bitfields[] = {
   { "IN8_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN8_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN8_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN8_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN7_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN7_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN7_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN7_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN9_IN10_STS_Bitfields[] = {
   { "IN10_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN10_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN10_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN10_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN9_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN9_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN9_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN9_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN11_IN12_STS_Bitfields[] = {
   { "IN12_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN12_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN12_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN12_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN11_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN11_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN11_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN11_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t IN13_IN14_STS_Bitfields[] = {
   { "IN14_FREQ_SOFT_ALARM", 7, 0x80, 1 },
   { "IN14_FREQ_HARD_ALARM", 6, 0x40, 1 },
   { "IN14_NO_ACTIVITY_ALARM", 5, 0x20, 1 },
   { "IN14_PH_LOCK_ALARM", 4, 0x10, 1 },
   { "IN13_FREQ_SOFT_ALARM", 3, 0x08, 1 },
   { "IN13_FREQ_HARD_ALARM", 2, 0x04, 1 },
   { "IN13_NO_ACTIVITY_ALARM", 1, 0x02, 1 },
   { "IN13_PH_LOCK_ALARM", 0, 0x01, 1 }
};
const BitfieldName_t INPUT_VALID1_STS_Bitfields[] = {
   { "IN8", 7, 0x80, 1 },
   { "IN7", 6, 0x40, 1 },
   { "IN6", 5, 0x20, 1 },
   { "IN5", 4, 0x10, 1 },
   { "IN4", 3, 0x08, 1 },
   { "IN3", 2, 0x04, 1 },
   { "IN2", 1, 0x02, 1 },
   { "IN1", 0, 0x01, 1 }
};
const BitfieldName_t INPUT_VALID2_STS_Bitfields[] = {
   { "IN14", 5, 0x20, 1 },
   { "IN13", 4, 0x10, 1 },
   { "IN12", 3, 0x08, 1 },
   { "IN11", 2, 0x04, 1 },
   { "IN10", 1, 0x02, 1 },
   { "IN9", 0, 0x01, 1 }
};
const BitfieldName_t REMOTE_INPUT_VALID1_CNFG_Bitfields[] = {
   { "IN8", 7, 0x80, 1 },
   { "IN7", 6, 0x40, 1 },
   { "IN6", 5, 0x20, 1 },
   { "IN5", 4, 0x10, 1 },
   { "IN4", 3, 0x08, 1 },
   { "IN3", 2, 0x04, 1 },
   { "IN2", 1, 0x02, 1 },
   { "IN1", 0, 0x01, 1 }
};
const BitfieldName_t REMOTE_INPUT_VALID2_CNFG_Bitfields[] = {
   { "IN14", 5, 0x20, 1 },
   { "IN13", 4, 0x10, 1 },
   { "IN12", 3, 0x08, 1 },
   { "IN11", 2, 0x04, 1 },
   { "IN10", 1, 0x02, 1 },
   { "IN9", 0, 0x01, 1 }
};
const BitfieldName_t PRIORITY_TABLE1_STS_Bitfields[] = {
   { "HIGHEST_PRIORITY_VALIDATED", 4, 0xF0, 4 },
   { "CURRENTLY_SELECTED_INPUTS", 0, 0x0F, 4 }
};
const BitfieldName_t PRIORITY_TABLE2_STS_Bitfields[] = {
   { "THIRD_HIGHEST_PRIORITY_VALIDATED", 4, 0xF0, 4 },
   { "SECOND_HIGHEST_PRIORITY_VALIDATED", 0, 0x0F, 4 }
};
const BitfieldName_t T0_INPUT_SEL_CNFG_Bitfields[] = {
   { "T0_INPUT_SEL", 0, 0x0F, 4 }
};
const BitfieldName_t T4_INPUT_SEL_CNFG_Bitfields[] = {
   { "T4_LOCK_T0", 6, 0x40, 1 },
   { "T0_FOR_T4", 5, 0x20, 1 },
   { "T4_TEST_T0_PH", 4, 0x10, 1 },
   { "T4_INPUT_SEL", 0, 0x0F, 4 }
};
const BitfieldName_t OPERATING_STS_Bitfields[] = {
   { "EX_SYNC_ALARM_MON", 7, 0x80, 1 },
   { "T4_DPLL_LOCK", 6, 0x40, 1 },
   { "T0_DPLL_SOFT_FREQ_ALARM", 5, 0x20, 1 },
   { "T4_DPLL_SOFT_FREQ_ALARM", 4, 0x10, 1 },
   { "T0_DPLL_LOCK", 3, 0x08, 1 },
   { "T0_DPLL_OPERATING_MODE", 0, 0x07, 3 }
};
const BitfieldName_t T0_OPERATION_MODE_CNFG_Bitfields[] = {
   { "T0_WDCO", 3, 0x08, 1 },
   { "T0_OPERATING_MODE", 0, 0x07, 3 }
};
const BitfieldName_t T4_OPERATION_MODE_CNFG_Bitfields[] = {
   { "T4_WDCO", 3, 0x08, 1 },
   { "T4_OPERATING_MODE", 0, 0x07, 3 }
};
const BitfieldName_t T0_DPLL_APLL_PATH_CNFG_Bitfields[] = {
   { "T0_APLL_PATH", 4, 0xF0, 4 },
   { "T0_GSM_OBSAI_16E1_16T1_SEL", 2, 0x0C, 2 },
   { "T0_12E1_GPS_E3_T3_SEL", 0, 0x03, 2 }
};
const BitfieldName_t T0_DPLL_START_BW_DAMPING_CNFG_Bitfields[] = {
   { "T0_DPLL_START_DAMPING", 5, 0xE0, 3 },
   { "T0_DPLL_START_BW", 0, 0x1F, 5 }
};
const BitfieldName_t T0_DPLL_ACQ_BW_DAMPING_CNFG_Bitfields[] = {
   { "T0_DPLL_ACQ_DAMPING", 5, 0xE0, 3 },
   { "T0_DPLL_ACQ_BW", 0, 0x1F, 5 }
};
const BitfieldName_t T0_DPLL_LOCKED_BW_DAMPING_CNFG_Bitfields[] = {
   { "T0_DPLL_LOCKED_DAMPING", 5, 0xE0, 3 },
   { "T0_DPLL_LOCKED_BW", 0, 0x1F, 5 }
};
const BitfieldName_t T0_BW_OVERSHOOT_CNFG_Bitfields[] = {
   { "AUTO_BW_SEL", 7, 0x80, 1 },
   { "T0_LIMIT", 3, 0x08, 1 }
};
const BitfieldName_t PHASE_LOSS_COARSE_LIMIT_CNFG_Bitfields[] = {
   { "COARSE_PH_LOS_LIMT_EN", 7, 0x80, 1 },
   { "WIDE_EN", 6, 0x40, 1 },
   { "MULTI_PH_APP", 5, 0x20, 1 },
   { "MULTI_PH_8K_4K_2K_EN", 4, 0x10, 1 },
   { "PH_LOS_COARSE_LIMT", 0, 0x0F, 4 }
};
const BitfieldName_t PHASE_LOSS_FINE_LIMIT_CNFG_Bitfields[] = {
   { "FINE_PH_LOS_LIMT_EN", 7, 0x80, 1 },
   { "FAST_LOS_SW", 6, 0x40, 1 },
   { "PH_LOS_FINE_LIMT", 0, 0x07, 3 }
};
const BitfieldName_t T0_HOLDOVER_MODE_CNFG_Bitfields[] = {
   { "MAN_HOLDOVER", 7, 0x80, 1 },
   { "AUTO_AVG", 6, 0x40, 1 },
   { "FAST_AVG", 5, 0x20, 1 },
   { "READ_AVG", 4, 0x10, 1 },
   { "TEMP_HOLDOVER_MODE", 2, 0x0C, 2 }
};
const BitfieldName_t HOLDOVER_FREQ_LOW_CNFG_Bitfields[] = {
   { "HOLDOVER_FREQ_A", 0, 0xFF, 8 }
};
const BitfieldName_t HOLDOVER_FREQ_MID_CNFG_Bitfields[] = {
   { "HOLDOVER_FREQ_B", 0, 0xFF, 8 }
};
const BitfieldName_t HOLDOVER_FREQ_HIGH_CNFG_Bitfields[] = {
   { "HOLDOVER_FREQ_C", 0, 0xFF, 8 }
};
const BitfieldName_t T4_DPLL_APLL_PATH_CNFG_Bitfields[] = {
   { "T4_APLL_PATH", 4, 0xF0, 4 },
   { "T4_GSM_OBSAI_16E1_16T1_SEL", 2, 0x0C, 2 },
   { "T4_12E1_GPS_E3_T3_SEL", 0, 0x03, 2 }
};
const BitfieldName_t T4_DPLL_LOCKED_BW_DAMPING_CNFG_Bitfields[] = {
   { "T4_DPLL_LOCKED_DAMPING", 5, 0xE0, 3 },
   { "T4_DPLL_LOCKED_BW", 0, 0x03, 2 }
};
const BitfieldName_t CURRENT_FREQ_LOW_STS_Bitfields[] = {
   { "CURRENT_DPLL_FREQ_A", 0, 0xFF, 8 }
};
const BitfieldName_t CURRENT_FREQ_MID_STS_Bitfields[] = {
   { "CURRENT_DPLL_FREQ_B", 0, 0xFF, 8 }
};
const BitfieldName_t CURRENT_FREQ_HIGH_STS_Bitfields[] = {
   { "CURRENT_DPLL_FREQ_C", 0, 0xFF, 8 }
};
const BitfieldName_t DPLL_FREQ_SOFT_LIMIT_CNFG_Bitfields[] = {
   { "FREQ_LIMT_PH_LOS", 7, 0x80, 1 },
   { "DPLL_FREQ_SOFT_LIMT", 0, 0x7F, 7 }
};
const BitfieldName_t DPLL_FREQ_HARD_LIMIT_LOW_CNFG_Bitfields[] = {
   { "DPLL_FREQ_HARD_LIMT_A", 0, 0xFF, 8 }
};
const BitfieldName_t DPLL_FREQ_HARD_LIMIT_MID_CNFG_Bitfields[] = {
   { "DPLL_FREQ_HARD_LIMT_B", 0, 0xFF, 8 }
};
const BitfieldName_t CURRENT_DPLL_PHASE_LOW_STS_Bitfields[] = {
   { "CURRENT_PH_DATA_A", 0, 0xFF, 8 }
};
const BitfieldName_t CURRENT_DPLL_PHASE_HIGH_STS_Bitfields[] = {
   { "CURRENT_PH_DATA_B", 0, 0xFF, 8 }
};
const BitfieldName_t OUT1_FREQ_CNFG_Bitfields[] = {
   { "OUT1_PATH_SEL", 4, 0xF0, 4 },
   { "OUT1_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT2_FREQ_CNFG_Bitfields[] = {
   { "OUT2_PATH_SEL", 4, 0xF0, 4 },
   { "OUT2_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT3_FREQ_CNFG_Bitfields[] = {
   { "OUT3_PATH_SEL", 4, 0xF0, 4 },
   { "OUT3_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT4_FREQ_CNFG_Bitfields[] = {
   { "OUT4_PATH_SEL", 4, 0xF0, 4 },
   { "OUT4_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT5_FREQ_CNFG_Bitfields[] = {
   { "OUT5_PATH_SEL", 4, 0xF0, 4 },
   { "OUT5_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT6_FREQ_CNFG_Bitfields[] = {
   { "OUT6_PATH_SEL", 4, 0xF0, 4 },
   { "OUT6_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT7_FREQ_CNFG_Bitfields[] = {
   { "OUT7_PATH_SEL", 4, 0xF0, 4 },
   { "OUT7_DIVIDER", 0, 0x0F, 4 }
};
const BitfieldName_t OUT8_FREQ_CNFG_Bitfields[] = {
   { "OUT8_PATH_SEL", 7, 0x80, 1 },
   { "OUT8_EN", 6, 0x40, 1 },
   { "T4_INPUT_FAIL", 5, 0x20, 1 },
   { "AMI_OUT_DUTY", 4, 0x10, 1 },
   { "400HZ_OUT_SEL", 3, 0x08, 1 },
   { "OUT9_INV", 2, 0x04, 1 },
   { "OUT7_INV", 1, 0x02, 1 },
   { "OUT6_INV", 0, 0x01, 1 }
};
const BitfieldName_t OUT9_FREQ_CNFG_Bitfields[] = {
   { "OUT9_PATH_SEL", 7, 0x80, 1 },
   { "OUT9_EN", 6, 0x40, 1 },
   { "T4_INPUT_FAIL", 5, 0x20, 1 },
   { "OUT5_INV", 4, 0x10, 1 },
   { "OUT4_INV", 3, 0x08, 1 },
   { "OUT3_INV", 2, 0x04, 1 },
   { "OUT2_INV", 1, 0x02, 1 },
   { "OUT1_INV", 0, 0x01, 1 }
};
const BitfieldName_t FR_MFR_SYNC_CNFG_Bitfields[] = {
   { "IN_2K_4K_8K_INV", 7, 0x80, 1 },
   { "8K_EN", 6, 0x40, 1 },
   { "2K_EN", 5, 0x20, 1 },
   { "2K_8K_PUL_POSITION", 4, 0x10, 1 },
   { "8K_INV", 3, 0x08, 1 },
   { "8K_PUL", 2, 0x04, 1 },
   { "2K_INV", 1, 0x02, 1 },
   { "2K_PUL", 0, 0x01, 1 }
};
const BitfieldName_t PHASE_MON_CNFG_Bitfields[] = {
   { "IN_NOISE_WINDOW", 7, 0x80, 1 }
};
const BitfieldName_t PHASE_OFFSET_LOW_CNFG_Bitfields[] = {
   { "PH_OFFSET_A", 0, 0xFF, 8 }
};
const BitfieldName_t PHASE_OFFSET_HIGH_CNFG_Bitfields[] = {
   { "PH_OFFSET_EN", 7, 0x80, 1 },
   { "PH_OFFSET_B", 0, 0x03, 2 }
};
const BitfieldName_t SYNC_MONITOR_CNFG_Bitfields[] = {
   { "SYNC_MON_LIMT", 4, 0x70, 3 }
};
const BitfieldName_t SYNC_PHASE_CNFG_Bitfields[] = {
   { "SYNC_EDGE", 6, 0x40, 1 },
   { "SYNC_PH1", 1, 0x02, 1 }
};
const BitfieldName_t PROTECTION_CNFG_Bitfields[] = {
   { "PROTECTION_DATA", 0, 0xFF, 8 }
};
const BitfieldName_t MPU_SEL_CNFG_Bitfields[] = {
   { "MPU_SEL_CNFG", 0, 0x07, 3 }
};

/* Page 1 Register Bitfields */
const BitfieldName_t DFS_OFF_CNFG_Bitfields[] = {
   { "T0_DFS_OFF_3", 7, 0x80, 1 },
   { "T0_DFS_OFF_2", 6, 0x40, 1 },
   { "T0_DFS_OFF_1", 5, 0x20, 1 },
   { "T0_DFS_OFF_0", 4, 0x10, 1 },
   { "T4_DFS_OFF_3", 3, 0x08, 1 },
   { "T4_DFS_OFF_2", 2, 0x04, 1 },
   { "T4_DFS_OFF_1", 1, 0x02, 1 },
   { "T4_DFS_OFF_0", 0, 0x01, 1 }
};
const BitfieldName_t T0_PPS_CNFG_Bitfields[] = {
   { "PPS_PHASE", 4, 0x30, 2 },
   { "PPS_PULSE", 0, 0x0F, 4 }
};
const BitfieldName_t PH_SLOPE_CNFG_Bitfields[] = {
   { "T0_PH_SLOPE", 2, 0x0C, 2 },
   { "T4_PH_SLOPE", 0, 0x03, 2 }
};
const BitfieldName_t T0_ICP_CTRL_CNFG_Bitfields[] = {
   { "ICP_CTRL_CODE", 0, 0x1F, 5 }
};
const BitfieldName_t T4_ICP_CTRL_CNFG_Bitfields[] = {
   { "ICP_CTRL_CODE", 0, 0x1F, 5 }
};
const BitfieldName_t T4_PPS_CNFG_Bitfields[] = {
   { "PPS_PHASE", 4, 0x30, 2 },
   { "PPS_PULSE", 0, 0x0F, 4 }
};

/* APLL Register Bitfields */
const BitfieldName_t CONTROL_Bitfields[] = {
   { "CONFIG", 1, 0x02, 1 }
};
const BitfieldName_t CLK_SEL_Bitfields[] = {
   { "CLK_SEL", 0, 0x01, 1 }
};
const BitfieldName_t PDSEL0_LSB_Bitfields[] = {
   { "PDSEL0_LSB", 0, 0xFF, 8 }
};
const BitfieldName_t PDSEL0_MSB_Bitfields[] = {
   { "PDSEL0_MSB", 0, 0x7F, 7 }
};
const BitfieldName_t PDSEL1_LSB_Bitfields[] = {
   { "PDSEL1_LSB", 0, 0xFF, 8 }
};
const BitfieldName_t PDSEL1_MSB_Bitfields[] = {
   { "PDSEL1_MSB", 0, 0x7F, 7 }
};
const BitfieldName_t M0_LSB_Bitfields[] = {
   { "M0_LSB", 0, 0xFF, 8 }
};
const BitfieldName_t M0_MSB_Bitfields[] = {
   { "M0_MSB", 0, 0x7F, 7 }
};
const BitfieldName_t M1_LSB_Bitfields[] = {
   { "M1_LSB", 0, 0xFF, 8 }
};
const BitfieldName_t M1_MSB_Bitfields[] = {
   { "M1_MSB", 0, 0x7F, 7 }
};
const BitfieldName_t ODBSELA0_Bitfields[] = {
   { "ODBSELA0", 0, 0x07, 3 }
};
const BitfieldName_t ODBSELA1_Bitfields[] = {
   { "ODBSELA1", 0, 0x07, 3 }
};
const BitfieldName_t ODBSELB0_Bitfields[] = {
   { "ODBSELB0", 0, 0x07, 3 }
};
const BitfieldName_t ODBSELB1_Bitfields[] = {
   { "ODBSELB1", 0, 0x07, 3 }
};
const BitfieldName_t VCXO_SEL_Bitfields[] = {
   { "SEL_DOUBLE", 7, 0x80, 1 },
   { "MR_SYNC", 6, 0x40, 1 },
   { "BYPASS", 5, 0x20, 1 },
   { "SHUTOFF", 4, 0x10, 1 },
   { "VCXO_SEL", 0, 0x01, 1 }
};
const BitfieldName_t CONFIG_QA_Bitfields[] = {
   { "LVDS_QA", 1, 0x02, 1 },
   { "OE_A", 0, 0x01, 1 }
};
const BitfieldName_t CONFIG_QB_Bitfields[] = {
   { "LVDS_QB", 1, 0x02, 1 },
   { "OE_B", 0, 0x01, 1 }
};

/* Page 0 Registers */
const RegisterName_t Page0RegisterNameArray[] = {
   REGNAME_ENTRY(ID_LOW, 1),
   REGNAME_ENTRY(ID_HIGH, 1),
   REGNAME_ENTRY(MPU_PIN_STS, 1),
   REGNAME_ENTRY(NOMINAL_FREQ_LOW_CNFG, 1),
   REGNAME_ENTRY(NOMINAL_FREQ_MID_CNFG, 1),
   REGNAME_ENTRY(NOMINAL_FREQ_HIGH_CNFG, 1),
   REGNAME_ENTRY(T4_T0_SEL_CNFG, 1),
   REGNAME_ENTRY(PHASE_ALARM_TIME_OUT_CNFG, 2),
   REGNAME_ENTRY(INPUT_MODE_CNFG, 7),
   REGNAME_ENTRY(DIFFERENTIAL_IN_OUT_CNFG, 3),
   REGNAME_ENTRY(MON_SW_HS_CNFG, 7),
   REGNAME_ENTRY(INTERRUPT_CNFG, 2),
   REGNAME_ENTRY(INTERRUPTS1_STS, 8),
   REGNAME_ENTRY(INTERRUPTS2_STS, 8),
   REGNAME_ENTRY(INTERRUPTS3_STS, 7),
   REGNAME_ENTRY(INTERRUPTS1_MASK_CNFG, 8),
   REGNAME_ENTRY(INTERRUPTS2_MASK_CNFG, 8),
   REGNAME_ENTRY(INTERRUPTS3_MASK_CNFG, 7),
   REGNAME_ENTRY(MS_SL_CTRL_CNFG, 3),
   REGNAME_ENTRY(IN1_CNFG, 3),
   REGNAME_ENTRY(IN2_CNFG, 3),
   REGNAME_ENTRY(IN3_CNFG, 4),
   REGNAME_ENTRY(IN4_CNFG, 4),
   REGNAME_ENTRY(IN5_IN6_HF_DIV_CNFG, 2),
   REGNAME_ENTRY(IN5_CNFG, 4),
   REGNAME_ENTRY(IN6_CNFG, 4),
   REGNAME_ENTRY(IN7_CNFG, 4),
   REGNAME_ENTRY(IN8_CNFG, 4),
   REGNAME_ENTRY(IN9_CNFG, 4),
   REGNAME_ENTRY(IN10_CNFG, 4),
   REGNAME_ENTRY(IN11_CNFG, 4),
   REGNAME_ENTRY(IN12_CNFG, 4),
   REGNAME_ENTRY(IN13_CNFG, 4),
   REGNAME_ENTRY(IN14_CNFG, 4),
   REGNAME_ENTRY(PRE_DIV_CH_CNFG, 1),
   REGNAME_ENTRY(PRE_DIVN_LOW_CNFG, 1),
   REGNAME_ENTRY(PRE_DIVN_HIGH_CNFG, 1),
   REGNAME_ENTRY(IN1_IN2_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN3_IN4_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN5_IN6_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN7_IN8_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN9_IN10_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN11_IN12_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(IN13_IN14_SEL_PRIORITY_CNFG, 2),
   REGNAME_ENTRY(PAGE_POINTER_CNFG, 1),
   REGNAME_ENTRY(FREQ_MON_FACTOR_CNFG, 1),
   REGNAME_ENTRY(HARD_FREQ_MON_THRESHOLD_CNFG, 2),
   REGNAME_ENTRY(SOFT_FREQ_MON_THRESHOLD_CNFG, 2),
   REGNAME_ENTRY(UPPER_THRESHOLD_0_CNFG, 1),
   REGNAME_ENTRY(LOWER_THRESHOLD_0_CNFG, 1),
   REGNAME_ENTRY(BUCKET_SIZE_0_CNFG, 1),
   REGNAME_ENTRY(DECAY_RATE_0_CNFG, 1),
   REGNAME_ENTRY(UPPER_THRESHOLD_1_CNFG, 1),
   REGNAME_ENTRY(LOWER_THRESHOLD_1_CNFG, 1),
   REGNAME_ENTRY(BUCKET_SIZE_1_CNFG, 1),
   REGNAME_ENTRY(DECAY_RATE_1_CNFG, 1),
   REGNAME_ENTRY(UPPER_THRESHOLD_2_CNFG, 1),
   REGNAME_ENTRY(LOWER_THRESHOLD_2_CNFG, 1),
   REGNAME_ENTRY(BUCKET_SIZE_2_CNFG, 1),
   REGNAME_ENTRY(DECAY_RATE_2_CNFG, 1),
   REGNAME_ENTRY(UPPER_THRESHOLD_3_CNFG, 1),
   REGNAME_ENTRY(LOWER_THRESHOLD_3_CNFG, 1),
   REGNAME_ENTRY(BUCKET_SIZE_3_CNFG, 1),
   REGNAME_ENTRY(DECAY_RATE_3_CNFG, 1),
   REGNAME_ENTRY(IN_FREQ_READ_CH_CNFG, 1),
   REGNAME_ENTRY(IN_FREQ_READ_STS, 1),
   REGNAME_ENTRY(IN1_IN2_STS, 8),
   REGNAME_ENTRY(IN3_IN4_STS, 8),
   REGNAME_ENTRY(IN5_IN6_STS, 8),
   REGNAME_ENTRY(IN7_IN8_STS, 8),
   REGNAME_ENTRY(IN9_IN10_STS, 8),
   REGNAME_ENTRY(IN11_IN12_STS, 8),
   REGNAME_ENTRY(IN13_IN14_STS, 8),
   REGNAME_ENTRY(INPUT_VALID1_STS, 8),
   REGNAME_ENTRY(INPUT_VALID2_STS, 6),
   REGNAME_ENTRY(REMOTE_INPUT_VALID1_CNFG, 8),
   REGNAME_ENTRY(REMOTE_INPUT_VALID2_CNFG, 6),
   REGNAME_ENTRY(PRIORITY_TABLE1_STS, 2),
   REGNAME_ENTRY(PRIORITY_TABLE2_STS, 2),
   REGNAME_ENTRY(T0_INPUT_SEL_CNFG, 1),
   REGNAME_ENTRY(T4_INPUT_SEL_CNFG, 4),
   REGNAME_ENTRY(OPERATING_STS, 6),
   REGNAME_ENTRY(T0_OPERATION_MODE_CNFG, 2),
   REGNAME_ENTRY(T4_OPERATION_MODE_CNFG, 2),
   REGNAME_ENTRY(T0_DPLL_APLL_PATH_CNFG, 3),
   REGNAME_ENTRY(T0_DPLL_START_BW_DAMPING_CNFG, 2),
   REGNAME_ENTRY(T0_DPLL_ACQ_BW_DAMPING_CNFG, 2),
   REGNAME_ENTRY(T0_DPLL_LOCKED_BW_DAMPING_CNFG, 2),
   REGNAME_ENTRY(T0_BW_OVERSHOOT_CNFG, 2),
   REGNAME_ENTRY(PHASE_LOSS_COARSE_LIMIT_CNFG, 5),
   REGNAME_ENTRY(PHASE_LOSS_FINE_LIMIT_CNFG, 3),
   REGNAME_ENTRY(T0_HOLDOVER_MODE_CNFG, 5),
   REGNAME_ENTRY(HOLDOVER_FREQ_LOW_CNFG, 1),
   REGNAME_ENTRY(HOLDOVER_FREQ_MID_CNFG, 1),
   REGNAME_ENTRY(HOLDOVER_FREQ_HIGH_CNFG, 1),
   REGNAME_ENTRY(T4_DPLL_APLL_PATH_CNFG, 3),
   REGNAME_ENTRY(T4_DPLL_LOCKED_BW_DAMPING_CNFG, 2),
   REGNAME_ENTRY(CURRENT_FREQ_LOW_STS, 1),
   REGNAME_ENTRY(CURRENT_FREQ_MID_STS, 1),
   REGNAME_ENTRY(CURRENT_FREQ_HIGH_STS, 1),
   REGNAME_ENTRY(DPLL_FREQ_SOFT_LIMIT_CNFG, 2),
   REGNAME_ENTRY(DPLL_FREQ_HARD_LIMIT_LOW_CNFG, 1),
   REGNAME_ENTRY(DPLL_FREQ_HARD_LIMIT_MID_CNFG, 1),
   REGNAME_ENTRY(CURRENT_DPLL_PHASE_LOW_STS, 1),
   REGNAME_ENTRY(CURRENT_DPLL_PHASE_HIGH_STS, 1),
   REGNAME_ENTRY(OUT1_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT2_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT3_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT4_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT5_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT6_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT7_FREQ_CNFG, 2),
   REGNAME_ENTRY(OUT8_FREQ_CNFG, 8),
   REGNAME_ENTRY(OUT9_FREQ_CNFG, 8),
   REGNAME_ENTRY(FR_MFR_SYNC_CNFG, 8),
   REGNAME_ENTRY(PHASE_MON_CNFG, 1),
   REGNAME_ENTRY(PHASE_OFFSET_LOW_CNFG, 1),
   REGNAME_ENTRY(PHASE_OFFSET_HIGH_CNFG, 2),
   REGNAME_ENTRY(SYNC_MONITOR_CNFG, 1),
   REGNAME_ENTRY(SYNC_PHASE_CNFG, 2),
   REGNAME_ENTRY(PROTECTION_CNFG, 1),
   REGNAME_ENTRY(MPU_SEL_CNFG, 1)
};

const int Page0RegisterNameArraySize = (sizeof(Page0RegisterNameArray)/
                                        sizeof(RegisterName_t));

/* Page 1 Registers */
const RegisterName_t Page1RegisterNameArray[] = {
   REGNAME_ENTRY(DFS_OFF_CNFG, 8),
   REGNAME_ENTRY(T0_PPS_CNFG, 2),
   REGNAME_ENTRY(PH_SLOPE_CNFG, 2),
   REGNAME_ENTRY(T0_ICP_CTRL_CNFG, 1),
   REGNAME_ENTRY(T4_ICP_CTRL_CNFG, 1),
   REGNAME_ENTRY(T4_PPS_CNFG, 2)
};

const int Page1RegisterNameArraySize = (sizeof(Page1RegisterNameArray)/
									    sizeof(RegisterName_t));

/* APLL Registers */
const RegisterName_t ApllRegisterNameArray[] = {
   REGNAME_ENTRY(CONTROL, 1),
   REGNAME_ENTRY(CLK_SEL, 1),
   REGNAME_ENTRY(PDSEL0_LSB, 1),
   REGNAME_ENTRY(PDSEL0_MSB, 1),
   REGNAME_ENTRY(PDSEL1_LSB, 1),
   REGNAME_ENTRY(PDSEL1_MSB, 1),
   REGNAME_ENTRY(M0_LSB, 1),
   REGNAME_ENTRY(M0_MSB, 1),
   REGNAME_ENTRY(M1_LSB, 1),
   REGNAME_ENTRY(M1_MSB, 1),
   REGNAME_ENTRY(ODBSELA0, 1),
   REGNAME_ENTRY(ODBSELA1, 1),
   REGNAME_ENTRY(ODBSELB0, 1),
   REGNAME_ENTRY(ODBSELB1, 1),
   REGNAME_ENTRY(VCXO_SEL, 5),
   REGNAME_ENTRY(CONFIG_QA, 2),
   REGNAME_ENTRY(CONFIG_QB, 2)
};

const int ApllRegisterNameArraySize = (sizeof(ApllRegisterNameArray)/
                                       sizeof(RegisterName_t));

